NoConstraint Class Reference

No constraint. More...

`#include <ql/math/optimization/constraint.hpp>`

Inheritance diagram for NoConstraint:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Constraint
bool | empty () const
bool | test (const Array &p) const
Array | upperBound (const Array &params) const
Array | lowerBound (const Array &params) const
Real | update (Array &p, const Array &direction, Real beta) const
| Constraint (const ext::shared_ptr< Impl > &impl=ext::shared_ptr< Impl >())
Protected Attributes inherited from Constraint
ext::shared_ptr< Impl > | impl_

## Detailed Description

No constraint.